%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Name:		ytnef
Version:	1.9.3
Release:	%mkrel 1
Summary:	Yerase's TNEF Stream Reader
License:	GPLv2+
Group:		System/Networking
Url:		https://github.com/Yeraze/ytnef/tree/master/ytnef
Source:		https://github.com/Yeraze/ytnef/archive/master.tar.gz

Requires:	perl-MIME-tools
Requires:	%{libname} = %{version}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: libytnef-devel = %{version}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%prep
%setup -q -n %{name}-master

%build
#cd ytnef
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
%make_install

%files
%doc COPYING README.md
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}
%{_libdir}/libytnef.so.%{major}.*

%files -n %{develname}
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/libytnef.la
%{_libdir}/pkgconfig/libytnef.pc
%{_includedir}/*.h


%changelog
* Thu Jan 09 2020 tex - 1.9.3-1pclos2020
- update
